#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two16004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 1600"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two16004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two16004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 1600
# -------------------------------------------------------------------------------------------------
shot2two16004xi = {
        1:'1027x-1224y-62z',
        2:'1036x-1191y-256z',
        3:'107x-831y-1362z',
        4:'1089x-1168y-78z',
        5:'1095x-1133y-272z',
        6:'1148x-1109y-94z',
        7:'114x-1034y-1215z',
        8:'1151x-1072y-288z',
        9:'1203x-1009y-303z',
        10:'1204x-1047y-110z',
        11:'1252x-942y-319z',
        12:'1256x-981y-126z',
        13:'128x-639y-1461z',
        14:'1297x-874y-335z',
        15:'1305x-914y-142z',
        16:'1338x-803y-350z',
        17:'1350x-843y-158z',
        18:'1375x-730y-366z',
        19:'1391x-771y-174z',
        20:'1408x-655y-381z',
        21:'140x-1592y-65z',
        22:'1427x-696y-190z',
        23:'1437x-579y-397z',
        24:'1460x-619y-206z',
        25:'1461x-502y-412z',
        26:'147x-811y-1371z',
        27:'1482x-424y-428z',
        28:'1488x-541y-222z',
        29:'1498x-345y-443z',
        30:'1509x-265y-459z',
        31:'1513x-462y-238z',
        32:'1516x-185y-474z',
        33:'1518x-25y-504z',
        34:'1519x-105y-489z',
        35:'1532x-382y-253z',
        36:'1545x-414y-4z',
        37:'1548x-300y-269z',
        38:'1559x-219y-285z',
        39:'1564x-332y-20z',
        40:'1565x-136y-301z',
        41:'1567x-54y-316z',
        42:'1579x-250y-36z',
        43:'158x-617y-1467z',
        44:'1590x-167y-52z',
        45:'1596x-83y-68z',
        46:'166x-1014y-1225z',
        47:'187x-788y-1379z',
        48:'197x-631y-1565z',
        49:'20x-865y-1345z',
        50:'216x-992y-1236z',
        51:'223x-1582y-81z',
        52:'224x-764y-1387z',
        53:'259x-738y-1395z',
        54:'265x-967y-1246z',
        55:'28x-694y-1440z',
        56:'292x-711y-1403z',
        57:'305x-1567y-97z',
        58:'311x-940y-1256z',
        59:'323x-682y-1410z',
        60:'351x-652y-1418z',
        61:'355x-911y-1265z',
        62:'377x-620y-1425z',
        63:'386x-1548y-113z',
        64:'397x-879y-1275z',
        65:'401x-588y-1432z',
        66:'423x-554y-1439z',
        67:'437x-846y-1285z',
        68:'442x-521y-1446z',
        69:'444x-12y-1537z',
        70:'458x-37y-1532z',
        71:'459x-486y-1453z',
        72:'467x-1524y-129z',
        73:'470x-63y-1527z',
        74:'473x-451y-1460z',
        75:'474x-811y-1294z',
        76:'481x-90y-1523z',
        77:'485x-416y-1466z',
        78:'491x-119y-1518z',
        79:'494x-381y-1472z',
        80:'498x-149y-1512z',
        81:'502x-347y-1478z',
        82:'504x-180y-1507z',
        83:'506x-312y-1485z',
        84:'508x-212y-1502z',
        85:'509x-244y-1496z',
        86:'509x-278y-1490z',
        87:'509x-774y-1304z',
        88:'541x-736y-1313z',
        89:'545x-1496y-145z',
        90:'56x-1598y-49z',
        91:'570x-696y-1322z',
        92:'597x-656y-1331z',
        93:'61x-1050y-1205z',
        94:'621x-614y-1340z',
        95:'622x-1464y-161z',
        96:'63x-678y-1447z',
        97:'642x-572y-1348z',
        98:'64x-849y-1354z',
        99:'661x-529y-1357z',
        100:'677x-31y-1448z',
        101:'677x-486y-1365z',
        102:'689x-68y-1442z',
        103:'690x-442y-1373z',
        104:'697x-1428y-177z',
        105:'699x-106y-1435z',
        106:'6x-1064y-1194z',
        107:'700x-399y-1382z',
        108:'706x-145y-1427z',
        109:'707x-355y-1390z',
        110:'712x-186y-1420z',
        111:'712x-312y-1397z',
        112:'714x-227y-1413z',
        113:'715x-269y-1405z',
        114:'751x-1412y0z',
        115:'770x-1388y-193z',
        116:'824x-1371y-15z',
        117:'841x-1344y-209z',
        118:'894x-1326y-31z',
        119:'909x-1297y-224z',
        120:'962x-1277y-46z',
        121:'974x-1245y-240z',
        122:'97x-659y-1454z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1600two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1600two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1600TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1600TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1600TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1600TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1600TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two16004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1600TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1600TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1600TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two16004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two16004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1600TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1600TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1600TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two16004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        